Module
Contents
Index 🔎︎

# Logiska funktioner

This category contains the Logical functions.

### Handling non-logical arguments in logical functions

- Zero (0) is equivalent to FALSE and all other numbers are equivalent to TRUE.

- Empty cells and text in cells are ignored.

- A #VALUE error is raised if all arguments are ignored.

- A #VALUE error is raised if one argument is direct text (not text in a cell).

- Errors as argument lead to an error.

Så här använder du det här kommandot...

Infoga - Funktion - Kategori Logisk

## ELLER

Returnerar SANT om minst ett argument är SANT. Den här funktionen returnerar FALSKT om alla argument har det logiska värdet FALSKT.

Argumenten är antingen själva logiska uttryck (SANT, 1<5, 2+3=7, B8<10) som returnerar logiska värden eller matriser (A1:C3) som innehåller logiska värden.

### Syntax

ELLER(Logiskt värde1; Logiskt värde2 ... Logiskt värde30)

LogicalValue1; LogicalValue2 ...LogicalValue30 are conditions to be checked. All conditions can be either TRUE or FALSE. If a range is entered as a parameter, the function uses all values of the range.

### Exempel

De logiska värdena i posterna 12<11; 13>22 och 45=45 ska kontrolleras:

=ELLER(12<11;13>22;45=45) returnerar SANT.

=ELLER(FALSKT;SANT) returnerar SANT.

## FALSKT

Returnerar det logiska värdet FALSKT. Funktionen FALSKT() kräver inga argument och returnerar alltid det logiska värdet FALSKT.

### Syntax

FALSKT()

### Exempel

=FALSKT() returnerar FALSKT

=ICKE(FALSKT()) returnerar SANT

## ICKE

Komplementerar (inverterar) ett logiskt värde.

### Syntax

ICKE(Logiskt värde)

Logiskt värde är alla värden som ska komplementeras.

### Exempel

=ICKE(A). Om A=SANT så kommer ICKE(A) att returnera FALSKT.

## OCH

Returnerar SANT om alla argument har värdet SANT. Om minst ett av elementen är FALSKT, returneras värdet FALSKT.

Argumenten är antingen själva logiska uttryck (SANT, 1<5, 2+3=7, B8<10) som returnerar logiska värden eller matriser (A1:C3) som innehåller logiska värden.

### Syntax

OCH(Logiskt värde1; Logiskt värde2 ... Logiskt värde30)

LogicalValue1; LogicalValue2 ...LogicalValue30 are conditions to be checked. All conditions can be either TRUE or FALSE. If a range is entered as a parameter, the function uses all values of the range. The result is TRUE if the logical value in all cells within the cell range is TRUE.

### Exempel

De logiska värdena i posterna 12<13, 14>12 och 7<6 ska kontrolleras:

=OCH(12<13;14>12;7<6) returnerar FALSKT.

=OCH (FALSKT;SANT) returnerar FALSKT.

## OM

Anger ett logiskt test som ska utföras.

### Syntax

OM(Test; Sedan värde; Annars värde)

Test är vilket värde eller uttryck som helst som kan vara SANT eller FALSKT.

Sedan värde (valfritt) är det värde som returneras om det logiska testet är SANT.

Annars värde (valfritt) är det värde som returneras om det logiska testet är FALSKT.

In the LibreOffice Calc functions, parameters marked as "optional" can be left out only when no parameter follows. For example, in a function with four parameters, where the last two parameters are marked as "optional", you can leave out parameter 4 or parameters 3 and 4, but you cannot leave out parameter 3 alone.

### Exempel

=OM(A1>5;100;"för liten") Om värdet i A1 är större än 5 så anges värdet 100 i den aktuella cellen, annars anges texten "för liten" (utan citattecken).

## SANT

Det logiska värdet anges till SANT. Funktionen SANT() kräver inga argument och returnerar alltid det logiska värdet SANT.

### Syntax

SANT()

### Exempel

Om A=SANT och B=FALSKT visas följande exempel:

=OCH(A;B) returnerar FALSKT

=ELLER(A;B) returnerar SANT

=ICKE(OCH(A;B)) returnerar SANT

## XELLER

Returnerar sant om ett udda antal argument är lika med sant.

Argumenten är antingen själva logiska uttryck (SANT, 1<5, 2+3=7, B8<10) som returnerar logiska värden eller matriser (A1:C3) som innehåller logiska värden.

### Syntax

XELLER(Logiskt värde1; Logiskt värde2 ... Logiskt värde30)

### Exempel

=XELLER(SANT;SANT) returnerar FALSKT.

=XELLER(SANT;SANT;SANT) returnerar SANT.

=XELLER(FALSKT;SANT) returnerar SANT.

Närliggande ämnen

Functions by Category